# notification（通知）

## 方法 <a href="#z1a5y" id="z1a5y"></a>

## show(options) <a href="#tkp0d" id="tkp0d"></a>

顯示通知視窗

* `options` Object
  * `title` string - 通知視窗標題
  * `body` string - 通知視窗描述
  * `icon` URL/base64 - 通知視窗圖示，支援連結或 base64 格式（可選）
  * `mute` boolean - 提示音效（可選）
  * `duration` Interger - 自動隱藏時間（毫秒）（可選）
* 返回 `Promise<>`

```javascript
await eagle.notification.show({
    title: "Basic Notification",
    body: "Notification from the Plugin process",
    mute: false,
    duration: 3000,
    icon: "https://"
});
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/zh-tw/api/notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
